## class SG_EXPORT osgUtx::TestContext

> TestContext wraps up information which is passed to tests as they are run, and may contain test-specific information or 'global' test objects, such as an output stream for verbose output during the running of tests.

### Public Methods

TestContext()
bool shouldStop()
bool isVerbose()
void setTraceLevel(TraceLevel tl)
TraceLevel getTraceLevel() const
std::ostream& tout(TraceLevel tl=Full) const

### Public Members

enum TraceLevel

## Documentation

> TestContext wraps up information which is passed to tests as they are run, and may contain test-specific information or 'global' test objects, such as an output stream for verbose output during the running of tests.

> \todo Improve the output stream code by providing a filtering stream.

`TestContext()`

`bool shouldStop()`

`bool isVerbose()`

`enum TraceLevel`

`Off`

`Results`
  < All tracing turned off

`Full`
  < Output results only

`void setTraceLevel(TraceLevel tl)`

`TraceLevel getTraceLevel() const`

`std::ostream& tout(TraceLevel tl=Full) const`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.